summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/csit/perf-verify.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/scripts/csit/perf-verify.sh')
-rw-r--r--jjb/scripts/csit/perf-verify.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/jjb/scripts/csit/perf-verify.sh b/jjb/scripts/csit/perf-verify.sh
index c68a8812..85985941 100644
--- a/jjb/scripts/csit/perf-verify.sh
+++ b/jjb/scripts/csit/perf-verify.sh
@@ -13,11 +13,14 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+echo "---> jjb/scripts/csit/perf-verify.sh"
+
set -exuo pipefail
+# TODO: Figure out how old CSIT branches need the processing here.
if [[ ${GERRIT_EVENT_TYPE} == 'comment-added' ]]; then
TRIGGER=`echo ${GERRIT_EVENT_COMMENT_TEXT} \
- | grep -oE '(perftest$|perftest[[:space:]].+$)'`
+ | grep -oE '(perftest$|perftest[[:space:]].+$)' || true`
else
TRIGGER=''
fi